diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/icmpv6-l4-protocol.h ns-3.44/src/internet/model/icmpv6-l4-protocol.h
--- ns-3.43/src/internet/model/icmpv6-l4-protocol.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/icmpv6-l4-protocol.h	2025-03-09 16:55:49.391371000 -0700
@@ -600,94 +600,94 @@
     IpL4Protocol::DownTargetCallback6 GetDownTarget6() const override;
 
     /**
-     * \brief Always do DAD ?
+     * @brief Always do DAD ?
      */
     bool m_alwaysDad;
 
     /**
-     * \brief A list of cache by device.
+     * @brief A list of cache by device.
      */
     CacheList m_cacheList;
 
     /**
-     * \brief Neighbor Discovery node constants: max multicast solicitations.
+     * @brief Neighbor Discovery node constants: max multicast solicitations.
      */
     uint8_t m_maxMulticastSolicit;
 
     /**
-     * \brief Neighbor Discovery node constants: max unicast solicitations.
+     * @brief Neighbor Discovery node constants: max unicast solicitations.
      */
     uint8_t m_maxUnicastSolicit;
 
     /**
-     * \brief Initial multicast RS retransmission time [\RFC{7559}].
+     * @brief Initial multicast RS retransmission time [\RFC{7559}].
      */
     Time m_rsInitialRetransmissionTime;
 
     /**
-     * \brief Maximum time between multicast RS retransmissions [\RFC{7559}]. Zero means unbound.
+     * @brief Maximum time between multicast RS retransmissions [\RFC{7559}]. Zero means unbound.
      */
     Time m_rsMaxRetransmissionTime;
 
     /**
-     * \brief Maximum number of multicast RS retransmissions [\RFC{7559}]. Zero means unbound.
+     * @brief Maximum number of multicast RS retransmissions [\RFC{7559}]. Zero means unbound.
      */
     uint32_t m_rsMaxRetransmissionCount;
 
     /**
-     * \brief Maximum duration of multicast RS retransmissions [\RFC{7559}]. Zero means unbound.
+     * @brief Maximum duration of multicast RS retransmissions [\RFC{7559}]. Zero means unbound.
      */
     Time m_rsMaxRetransmissionDuration;
 
     /**
-     * \brief Multicast RS retransmissions counter [\RFC{7559}].
+     * @brief Multicast RS retransmissions counter [\RFC{7559}].
      *
      * Zero indicate a first transmission, greater than zero means retransmissions.
      */
     uint32_t m_rsRetransmissionCount{0};
 
     /**
-     * \brief Previous multicast RS retransmissions timeout [\RFC{7559}].
+     * @brief Previous multicast RS retransmissions timeout [\RFC{7559}].
      */
     Time m_rsPrevRetransmissionTimeout;
 
     /**
-     * \brief First multicast RS transmissions [\RFC{7559}].
+     * @brief First multicast RS transmissions [\RFC{7559}].
      */
     Time m_rsFirstTransmissionTime;
 
     /**
-     * \brief Neighbor Discovery node constants: reachable time.
+     * @brief Neighbor Discovery node constants: reachable time.
      */
     Time m_reachableTime;
 
     /**
-     * \brief Neighbor Discovery node constants: retransmission timer.
+     * @brief Neighbor Discovery node constants: retransmission timer.
      */
     Time m_retransmissionTime;
 
     /**
-     * \brief Neighbor Discovery node constants: delay for the first probe.
+     * @brief Neighbor Discovery node constants: delay for the first probe.
      */
     Time m_delayFirstProbe;
 
     /**
-     * \brief The node.
+     * @brief The node.
      */
     Ptr<Node> m_node;
 
     /**
-     * \brief Random jitter before sending solicitations
+     * @brief Random jitter before sending solicitations
      */
     Ptr<RandomVariableStream> m_solicitationJitter;
 
     /**
-     * \brief Random jitter for RS retransmissions
+     * @brief Random jitter for RS retransmissions
      */
     Ptr<UniformRandomVariable> m_rsRetransmissionJitter;
 
     /**
-     * \brief DAD timeout
+     * @brief DAD timeout
      */
     Time m_dadTimeout;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ip-l4-protocol.h ns-3.44/src/internet/model/ip-l4-protocol.h
--- ns-3.43/src/internet/model/ip-l4-protocol.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ip-l4-protocol.h	2025-03-09 16:55:49.391371000 -0700
@@ -30,9 +30,9 @@
 class Ipv6Route;
 
 /**
- * \ingroup internet
+ * @ingroup internet
  *
- * \brief L4 Protocol abstract base class.
+ * @brief L4 Protocol abstract base class.
  *
  * This is an abstract base class for layer four protocols which use IP as
  * the network layer.
@@ -41,7 +41,7 @@
 {
   public:
     /**
-     * \brief Rx status codes.
+     * @brief Rx status codes.
      */
     enum RxStatus
     {
@@ -52,54 +52,54 @@
     };
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     ~IpL4Protocol() override;
 
     /**
-     * \brief Returns the protocol number of this protocol.
-     * \returns the protocol number.
+     * @brief Returns the protocol number of this protocol.
+     * @returns the protocol number.
      */
     virtual int GetProtocolNumber() const = 0;
 
     /**
-     * \brief Called from lower-level layers to send the packet up in the stack.
-     * \param p packet to forward up
-     * \param header IPv4 Header information
-     * \param incomingInterface the Ipv4Interface on which the packet arrived
-     * \returns Rx status code
+     * @brief Called from lower-level layers to send the packet up in the stack.
+     * @param p packet to forward up
+     * @param header IPv4 Header information
+     * @param incomingInterface the Ipv4Interface on which the packet arrived
+     * @returns Rx status code
      */
     virtual RxStatus Receive(Ptr<Packet> p,
                              const Ipv4Header& header,
                              Ptr<Ipv4Interface> incomingInterface) = 0;
 
     /**
-     * \brief Called from lower-level layers to send the packet up in the stack.
-     * \param p packet to forward up
-     * \param header IPv6 Header information
-     * \param incomingInterface the Ipv6Interface on which the packet arrived
-     * \returns Rx status code
+     * @brief Called from lower-level layers to send the packet up in the stack.
+     * @param p packet to forward up
+     * @param header IPv6 Header information
+     * @param incomingInterface the Ipv6Interface on which the packet arrived
+     * @returns Rx status code
      */
     virtual RxStatus Receive(Ptr<Packet> p,
                              const Ipv6Header& header,
                              Ptr<Ipv6Interface> incomingInterface) = 0;
 
     /**
-     * \brief Called from lower-level layers to send the ICMP packet up in the stack.
-     * \param icmpSource the source address of the icmp message
-     * \param icmpTtl the ttl of the icmp message
-     * \param icmpType the 'type' field of the icmp message
-     * \param icmpCode the 'code' field of the icmp message
-     * \param icmpInfo extra information dependent on the icmp message
+     * @brief Called from lower-level layers to send the ICMP packet up in the stack.
+     * @param icmpSource the source address of the icmp message
+     * @param icmpTtl the ttl of the icmp message
+     * @param icmpType the 'type' field of the icmp message
+     * @param icmpCode the 'code' field of the icmp message
+     * @param icmpInfo extra information dependent on the icmp message
      *        generated by Icmpv4L4Protocol
-     * \param payloadSource the source address of the packet which triggered
+     * @param payloadSource the source address of the packet which triggered
      *        the icmp message
-     * \param payloadDestination the destination address of the packet which
+     * @param payloadDestination the destination address of the packet which
      *        triggered the icmp message.
-     * \param payload the first 8 bytes of the packet payload
+     * @param payload the first 8 bytes of the packet payload
      *        which triggered the icmp message.
      */
     virtual void ReceiveIcmp(Ipv4Address icmpSource,
@@ -112,18 +112,18 @@
                              const uint8_t payload[8]);
 
     /**
-     * \brief Called from lower-level layers to send the ICMPv6 packet up in the stack.
-     * \param icmpSource the source address of the icmp message
-     * \param icmpTtl the ttl of the icmp message
-     * \param icmpType the 'type' field of the icmp message
-     * \param icmpCode the 'code' field of the icmp message
-     * \param icmpInfo extra information dependent on the icmp message
+     * @brief Called from lower-level layers to send the ICMPv6 packet up in the stack.
+     * @param icmpSource the source address of the icmp message
+     * @param icmpTtl the ttl of the icmp message
+     * @param icmpType the 'type' field of the icmp message
+     * @param icmpCode the 'code' field of the icmp message
+     * @param icmpInfo extra information dependent on the icmp message
      *        generated by Icmpv6L4Protocol
-     * \param payloadSource the source address of the packet which triggered
+     * @param payloadSource the source address of the packet which triggered
      *        the icmp message
-     * \param payloadDestination the destination address of the packet which
+     * @param payloadDestination the destination address of the packet which
      *        triggered the icmp message.
-     * \param payload the first 8 bytes of the packet payload
+     * @param payload the first 8 bytes of the packet payload
      *        which triggered the icmp message.
      */
     virtual void ReceiveIcmp(Ipv6Address icmpSource,
@@ -136,12 +136,12 @@
                              const uint8_t payload[8]);
 
     /**
-     * \brief callback to send packets over IPv4
+     * @brief callback to send packets over IPv4
      */
     typedef Callback<void, Ptr<Packet>, Ipv4Address, Ipv4Address, uint8_t, Ptr<Ipv4Route>>
         DownTargetCallback;
     /**
-     * \brief callback to send packets over IPv6
+     * @brief callback to send packets over IPv6
      */
     typedef Callback<void, Ptr<Packet>, Ipv6Address, Ipv6Address, uint8_t, Ptr<Ipv6Route>>
         DownTargetCallback6;
@@ -150,7 +150,7 @@
      * This method allows a caller to set the current down target callback
      * set for this L4 protocol (IPv4 case)
      *
-     * \param cb current Callback for the L4 protocol
+     * @param cb current Callback for the L4 protocol
      */
     virtual void SetDownTarget(DownTargetCallback cb) = 0;
 
@@ -158,7 +158,7 @@
      * This method allows a caller to set the current down target callback
      * set for this L4 protocol (IPv6 case)
      *
-     * \param cb current Callback for the L4 protocol
+     * @param cb current Callback for the L4 protocol
      */
     virtual void SetDownTarget6(DownTargetCallback6 cb) = 0;
 
@@ -166,7 +166,7 @@
      * This method allows a caller to get the current down target callback
      * set for this L4 protocol (IPv4 case)
      *
-     * \return current Callback for the L4 protocol
+     * @return current Callback for the L4 protocol
      */
     virtual DownTargetCallback GetDownTarget() const = 0;
 
@@ -174,7 +174,7 @@
      * This method allows a caller to get the current down target callback
      * set for this L4 protocol (IPv6 case)
      *
-     * \return current Callback for the L4 protocol
+     * @return current Callback for the L4 protocol
      */
     virtual DownTargetCallback6 GetDownTarget6() const = 0;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-address-generator.cc ns-3.44/src/internet/model/ipv4-address-generator.cc
--- ns-3.43/src/internet/model/ipv4-address-generator.cc	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-address-generator.cc	2025-03-09 16:55:49.391371000 -0700
@@ -19,9 +19,9 @@
 NS_LOG_COMPONENT_DEFINE("Ipv4AddressGenerator");
 
 /**
- * \ingroup address
+ * @ingroup address
  *
- * \brief Implementation class of Ipv4AddressGenerator
+ * @brief Implementation class of Ipv4AddressGenerator
  * This generator assigns addresses sequentially from a provided
  * network address; used in topology code. It also keeps track of all
  * addresses assigned to perform duplicate detection.
@@ -33,30 +33,30 @@
     virtual ~Ipv4AddressGeneratorImpl();
 
     /**
-     * \brief Initialise the base network, mask and address for the generator
+     * @brief Initialise the base network, mask and address for the generator
      *
      * The first call to NextAddress() or GetAddress() will return the
      * value passed in.
      *
-     * \param net The network for the base Ipv4Address
-     * \param mask The network mask of the base Ipv4Address
-     * \param addr The base address used for initialization
+     * @param net The network for the base Ipv4Address
+     * @param mask The network mask of the base Ipv4Address
+     * @param addr The base address used for initialization
      */
     void Init(const Ipv4Address net, const Ipv4Mask mask, const Ipv4Address addr);
 
     /**
-     * \brief Get the current network of the given Ipv4Mask
+     * @brief Get the current network of the given Ipv4Mask
      *
      * Does not change the internal state; this just peeks at the current
      * network
      *
-     * \param mask The Ipv4Mask for the current network
-     * \returns the IPv4 address of the current network
+     * @param mask The Ipv4Mask for the current network
+     * @returns the IPv4 address of the current network
      */
     Ipv4Address GetNetwork(const Ipv4Mask mask) const;
 
     /**
-     * \brief Get the next network according to the given Ipv4Mask
+     * @brief Get the next network according to the given Ipv4Mask
      *
      * This operation is a pre-increment, meaning that the internal state
      * is changed before returning the new network address.
@@ -64,77 +64,77 @@
      * This also resets the address to the base address that was
      * used for initialization.
      *
-     * \param mask The Ipv4Mask used to set the next network
-     * \returns the IPv4 address of the next network
+     * @param mask The Ipv4Mask used to set the next network
+     * @returns the IPv4 address of the next network
      */
     Ipv4Address NextNetwork(const Ipv4Mask mask);
 
     /**
-     * \brief Set the address for the given mask
+     * @brief Set the address for the given mask
      *
-     * \param addr The address to set for the current mask
-     * \param mask The Ipv4Mask whose address is to be set
+     * @param addr The address to set for the current mask
+     * @param mask The Ipv4Mask whose address is to be set
      */
     void InitAddress(const Ipv4Address addr, const Ipv4Mask mask);
 
     /**
-     * \brief Allocate the next Ipv4Address for the configured network and mask
+     * @brief Allocate the next Ipv4Address for the configured network and mask
      *
      * This operation is a post-increment, meaning that the first address
      * allocated will be the one that was initially configured.
      *
-     * \param mask The Ipv4Mask for the current network
-     * \returns the IPv4 address
+     * @param mask The Ipv4Mask for the current network
+     * @returns the IPv4 address
      */
     Ipv4Address NextAddress(const Ipv4Mask mask);
 
     /**
-     * \brief Get the Ipv4Address that will be allocated upon NextAddress ()
+     * @brief Get the Ipv4Address that will be allocated upon NextAddress ()
      *
      * Does not change the internal state; just is used to peek the next
      * address that will be allocated upon NextAddress ()
      *
-     * \param mask The Ipv4Mask for the current network
-     * \returns the IPv4 address
+     * @param mask The Ipv4Mask for the current network
+     * @returns the IPv4 address
      */
     Ipv4Address GetAddress(const Ipv4Mask mask) const;
 
     /**
-     * \brief Reset the networks and Ipv4Address to zero
+     * @brief Reset the networks and Ipv4Address to zero
      */
     void Reset();
 
     /**
-     * \brief Add the Ipv4Address to the list of IPv4 entries
+     * @brief Add the Ipv4Address to the list of IPv4 entries
      *
      * Typically, this is used by external address allocators that want
      * to make use of this class's ability to track duplicates.  AddAllocated
      * is always called internally for any address generated by NextAddress ()
      *
-     * \param addr The Ipv4Address to be added to the list of Ipv4 entries
-     * \returns true on success
+     * @param addr The Ipv4Address to be added to the list of Ipv4 entries
+     * @returns true on success
      */
     bool AddAllocated(const Ipv4Address addr);
 
     /**
-     * \brief Check the Ipv4Address allocation in the list of IPv4 entries
+     * @brief Check the Ipv4Address allocation in the list of IPv4 entries
      *
-     * \param addr The Ipv4Address to be checked in the list of Ipv4 entries
-     * \returns true if the address is already allocated
+     * @param addr The Ipv4Address to be checked in the list of Ipv4 entries
+     * @returns true if the address is already allocated
      */
     bool IsAddressAllocated(const Ipv4Address addr);
 
     /**
-     * \brief Check if a network has already allocated addresses
+     * @brief Check if a network has already allocated addresses
      *
-     * \param addr The Ipv4 network to be checked
-     * \param mask The Ipv4 network mask
-     * \returns true if the network is already allocated
+     * @param addr The Ipv4 network to be checked
+     * @param mask The Ipv4 network mask
+     * @returns true if the network is already allocated
      */
     bool IsNetworkAllocated(const Ipv4Address addr, const Ipv4Mask mask);
 
     /**
-     * \brief Used to turn off fatal errors and assertions, for testing
+     * @brief Used to turn off fatal errors and assertions, for testing
      */
     void TestMode();
 
@@ -143,14 +143,14 @@
     static const uint32_t MOST_SIGNIFICANT_BIT = 0x80000000; //!< MSB set to 1
 
     /**
-     * \brief Create an index number for the network mask
-     * \param mask the mask to index
-     * \returns an index
+     * @brief Create an index number for the network mask
+     * @param mask the mask to index
+     * @returns an index
      */
     uint32_t MaskToIndex(Ipv4Mask mask) const;
 
     /**
-     * \brief This class holds the state for a given network
+     * @brief This class holds the state for a given network
      */
     class NetworkState
     {
@@ -165,7 +165,7 @@
     NetworkState m_netTable[N_BITS]; //!< the available networks
 
     /**
-     * \brief This class holds the allocated addresses
+     * @brief This class holds the allocated addresses
      */
     class Entry
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-address-generator.h ns-3.44/src/internet/model/ipv4-address-generator.h
--- ns-3.43/src/internet/model/ipv4-address-generator.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-address-generator.h	2025-03-09 16:55:49.391371000 -0700
@@ -13,13 +13,13 @@
 {
 
 /**
- * \ingroup address
- * \ingroup ipv4
+ * @ingroup address
+ * @ingroup ipv4
  *
- * \brief This generator assigns addresses sequentially from a provided
+ * @brief This generator assigns addresses sequentially from a provided
  * network address; used in topology code.
  *
- * \note BEWARE: this class acts as a Singleton.
+ * @note BEWARE: this class acts as a Singleton.
  * In other terms, two different instances of Ipv4AddressGenerator will
  * pick IPv4 numbers from the same pool. Changing the network in one of them
  * will also change the network in the other instances.
@@ -29,21 +29,21 @@
 {
   public:
     /**
-     * \brief Initialise the base network, mask and address for the generator
+     * @brief Initialise the base network, mask and address for the generator
      *
      * The first call to NextAddress() or GetAddress() will return the
      * value passed in.
      *
-     * \param net The network for the base Ipv4Address
-     * \param mask The network mask of the base Ipv4Address
-     * \param addr The base address used for initialization
+     * @param net The network for the base Ipv4Address
+     * @param mask The network mask of the base Ipv4Address
+     * @param addr The base address used for initialization
      */
     static void Init(const Ipv4Address net,
                      const Ipv4Mask mask,
                      const Ipv4Address addr = "0.0.0.1");
 
     /**
-     * \brief Get the next network according to the given Ipv4Mask
+     * @brief Get the next network according to the given Ipv4Mask
      *
      * This operation is a pre-increment, meaning that the internal state
      * is changed before returning the new network address.
@@ -51,88 +51,88 @@
      * This also resets the address to the base address that was
      * used for initialization.
      *
-     * \param mask The Ipv4Mask used to set the next network
-     * \returns the IPv4 address of the next network
+     * @param mask The Ipv4Mask used to set the next network
+     * @returns the IPv4 address of the next network
      */
     static Ipv4Address NextNetwork(const Ipv4Mask mask);
 
     /**
-     * \brief Get the current network of the given Ipv4Mask
+     * @brief Get the current network of the given Ipv4Mask
      *
      * Does not change the internal state; this just peeks at the current
      * network
      *
-     * \param mask The Ipv4Mask for the current network
-     * \returns the IPv4 address of the current network
+     * @param mask The Ipv4Mask for the current network
+     * @returns the IPv4 address of the current network
      */
     static Ipv4Address GetNetwork(const Ipv4Mask mask);
 
     /**
-     * \brief Set the address for the given mask
+     * @brief Set the address for the given mask
      *
-     * \param addr The address to set for the current mask
-     * \param mask The Ipv4Mask whose address is to be set
+     * @param addr The address to set for the current mask
+     * @param mask The Ipv4Mask whose address is to be set
      */
     static void InitAddress(const Ipv4Address addr, const Ipv4Mask mask);
 
     /**
-     * \brief Allocate the next Ipv4Address for the configured network and mask
+     * @brief Allocate the next Ipv4Address for the configured network and mask
      *
      * This operation is a post-increment, meaning that the first address
      * allocated will be the one that was initially configured.
      *
-     * \param mask The Ipv4Mask for the current network
-     * \returns the IPv4 address
+     * @param mask The Ipv4Mask for the current network
+     * @returns the IPv4 address
      */
     static Ipv4Address NextAddress(const Ipv4Mask mask);
 
     /**
-     * \brief Get the Ipv4Address that will be allocated upon NextAddress ()
+     * @brief Get the Ipv4Address that will be allocated upon NextAddress ()
      *
      * Does not change the internal state; just is used to peek the next
      * address that will be allocated upon NextAddress ()
      *
-     * \param mask The Ipv4Mask for the current network
-     * \returns the IPv4 address
+     * @param mask The Ipv4Mask for the current network
+     * @returns the IPv4 address
      */
     static Ipv4Address GetAddress(const Ipv4Mask mask);
 
     /**
-     * \brief Reset the networks and Ipv4Address to zero
+     * @brief Reset the networks and Ipv4Address to zero
      */
     static void Reset();
 
     /**
-     * \brief Add the Ipv4Address to the list of IPv4 entries
+     * @brief Add the Ipv4Address to the list of IPv4 entries
      *
      * Typically, this is used by external address allocators that want
      * to make use of this class's ability to track duplicates.  AddAllocated
      * is always called internally for any address generated by NextAddress ()
      *
-     * \param addr The Ipv4Address to be added to the list of Ipv4 entries
-     * \returns true on success
+     * @param addr The Ipv4Address to be added to the list of Ipv4 entries
+     * @returns true on success
      */
     static bool AddAllocated(const Ipv4Address addr);
 
     /**
-     * \brief Check the Ipv4Address allocation in the list of IPv4 entries
+     * @brief Check the Ipv4Address allocation in the list of IPv4 entries
      *
-     * \param addr The Ipv4Address to be checked in the list of Ipv4 entries
-     * \returns true if the network is already allocated
+     * @param addr The Ipv4Address to be checked in the list of Ipv4 entries
+     * @returns true if the network is already allocated
      */
     static bool IsAddressAllocated(const Ipv4Address addr);
 
     /**
-     * \brief Check if a network has already allocated addresses
+     * @brief Check if a network has already allocated addresses
      *
-     * \param addr The Ipv4 network to be checked
-     * \param mask The Ipv4 network mask
-     * \returns true if the network is already allocated
+     * @param addr The Ipv4 network to be checked
+     * @param mask The Ipv4 network mask
+     * @returns true if the network is already allocated
      */
     static bool IsNetworkAllocated(const Ipv4Address addr, const Ipv4Mask mask);
 
     /**
-     * \brief Used to turn off fatal errors and assertions, for testing
+     * @brief Used to turn off fatal errors and assertions, for testing
      */
     static void TestMode();
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4.cc ns-3.44/src/internet/model/ipv4.cc
--- ns-3.43/src/internet/model/ipv4.cc	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv4.cc	2025-03-09 16:55:49.399371100 -0700
@@ -41,7 +41,7 @@
                           BooleanValue(true),
                           MakeBooleanAccessor(&Ipv4::SetWeakEsModel, &Ipv4::GetWeakEsModel),
                           MakeBooleanChecker(),
-                          TypeId::DEPRECATED,
+                          TypeId::SupportLevel::DEPRECATED,
                           "DEPRECATED since ns-3.41. Use the StrongEndSystemModel attribute.")
             .AddAttribute(
                 "StrongEndSystemModel",
